package de.intevation.flys.artifacts.model;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;

import de.intevation.artifactdatabase.state.DefaultFacet;
import de.intevation.artifactdatabase.state.Facet;

public class EmptyFacet
extends      DefaultFacet
{
    /** Trivial constructor. */
    public EmptyFacet() {
        super(0, "empty.facet", "empty.facet");
    }

    @Override
    public Object getData(Artifact artifact, CallContext context) {
        return null;
    }


    /**
     * Return a deep copy.
     */
    @Override
    public Facet deepCopy() {
        EmptyFacet copy = new EmptyFacet();
        copy.set(this);
        return copy;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
